<template>
  <div class="Home">
    <Header />
    <Banner />
    <About id="data"></About> 
    <Educations />
    <ProgressBar />
    <Experiences id="data-1"></Experiences>
    <Testimonials id="data-2"></Testimonials>
    <Blog />
    <Wrapper id="data-3"></Wrapper>
    <Footer />
    <TopButton />
 </div>
</template>
<script>

import Footer from '../layouts/Footer'
import TopButton from '../layouts/outerSections/TopButton'
import Header from '../layouts/Header'
import Banner from '../layouts/outerSections/Banner'
import About from '../layouts/innerSections/AboutMe'
import Educations from '../layouts/innerSections/Educations'
import ProgressBar from '../layouts/innerSections/ProgressBar'
import Experiences from '../layouts/innerSections/Experiences'
import Services from '../layouts/innerSections/Services'
import Testimonials from '../layouts/innerSections/Testimonials'
import Blog from '../layouts/innerSections/Blogs'
import Wrapper from '../layouts/innerSections/Wrapper'


export default {
  name: 'Home',
  components: {  
    About,
    ProgressBar,
    Educations,
    Header,
    Banner,
    Footer,
    TopButton,
    Experiences,
    Services,
    Testimonials,
    Blog,
    Wrapper
  }
  
}
</script>
<style>
.slide-enter{
  opacity: 0;
  /* transform: translateY(20px) */
}
.slide-enter-active{
  animation: slide-in 1s ease-out forwards;
  transition: opacity .5s;


}
/* .slide-leave{

} */
/* .slide-leave-active{
  animation: slide-out 1s ease-out forwards;
  transition: opacity 1s;
  opacity: 0;
  position: absolute;
} */
.slide-move{
  transition: transform 1s;
}
@keyframes slide-in {
  from { 
    transform: translateY(20px)
  }
  to { 
    transform: translateY(0)
  }
}
@keyframes slide-out {
  from { 
    transform: translateY(0)
  }
  to { 
    transform: translateY(20px)
  }
}
</style>